# Shop

This project was generated with [Angular CLI](https://github.com/angular/angular-cli) version 7.3.8.

# Getting started

## Making requests to the backend API
1 . Running API locally.
The source code for the API can be found in the [shoppingCart_api](https://gitlab.com/zetov.ruslan/shop-api)

2. Make sure you have the Angular CLI installed globally.
3. Run `npm install` to resolve all dependencies (might take a minute).
4. Run `ng serve` for a dev server. 
5. Navigate to `http://localhost:4200/`. 
The app will automatically reload if you change any of the source files.

# Functionality overview
The example application is an online shop.

## General functionality:
1. Authenticate users via JWT
2. CRUD users 
3. CRUD Products
4. CR*D Comments on products
5. Admin dashboard
6. Role based
